<div class="center">
  <form [formGroup]="getUserForm" (ngSubmit)="onGetUserById()">
    <mat-form-field appearance="legacy">
      <mat-label>Enter user id</mat-label>
      <input type="number" matInput formControlName="userId">
      <mat-error *ngIf="userIdControl.hasError('required')">Please enter user id</mat-error>
    </mat-form-field>
    <div>
      <hr class="hr">
      <button
        mat-raised-button
        type="submit"
        [disabled]="!getUserForm.valid">Show User</button>
    </div>
  </form>
</div>
<div *ngIf="user">
  This is the user with id {{ user.id }}: {{ user.firstName }} {{ user.lastName }}
</div>
